manualChatbot
Stored in the manualchatbots collection. createdAt and updatedAt are maintained automatically.
Returned by DELETE /manual-chatbot, GET /manual-chatbot, POST /manual-chatbot, DELETE /manual-chatbot/:id, GET /manual-chatbot/:id, PUT /manual-chatbot/:id and 3 more.
| Field | Type | Notes |
|---|---|---|
name | string | required |
normalizedName | string | |
activeName | string | |
description | string | |
kind | string | default flow · one of flow, router |
company | ObjectId -> Company | required |
status | string | default draft · one of draft, published, paused |
publishedVersion | number | default 0 |
latestVersion | number | default 1 |
publishedSnapshot | any | default null |
publishedAt | date | |
conversations | object[] | default [] |
conversations.text | string | required |
conversations.order | number | default 0 |
keywords | object[] | default [] |
keywords.keyword | string | required |
keywords.weight | number | default 0 |
keywords.rank | number | default 0 |
handover.mode | string | default any · one of any, all |
handover.rules | object[] | default [] |
handover.rules.type | string | required · one of flow_finished, contains_text, message_count, time_based |
handover.rules.enabled | boolean | default true |
handover.rules.text | string | |
handover.rules.messageCount | number | default 0 |
handover.rules.minutes | number | default 0 |
routing.label | string | default "" |
routing.allowLeave | boolean | default true |
routing.allowEnter | boolean | default true |
attachments.custom | boolean | default false |
attachments.maxFileSizeMb | number | default 10 |
createdBy | ObjectId -> Member | |
updatedBy | ObjectId -> Member | |
_id | ObjectId | default "6a95712f932657988a91c0a4" |
createdAt | date | set once |
updatedAt | date |